SolidWorks >> Makra >> Tworzenie kilku wycięć z jednego szkicu
Autor Wypowiedź
SOLIDWORKS 2017
2019-06-30, 09:24
Pomógł 0 raz(y).
Witam,

Mam problem ze stworzeniem kilku wycięć otworów (w osobnych operacjach na podstawie jednego szkicu). Mianowicie po zaznaczeniu przez macro jednego z konturów (Arc1) i wykonaniu operacji wycięcia, wycinają się wszystkie kontury w nim zawarte zamiast tego jednego. Z góry dziękuję za pomoc.

Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = Application.SldWorks

Set Part = swApp.ActiveDoc
boolstatus = Part.Extension.SelectByID2("Arc1@Szkic1", "EXTSKETCHSEGMENT", 0.981859448769099, 2.6789572900062, 0, False, 0, Nothing, 0)
Dim myFeature As Object
Set myFeature = Part.FeatureManager.FeatureCut4(False, False, True, 9, 1, 0.01, 0.01, False, False, False, False, _
1.74532925199433E-02, 1.74532925199433E-02, False, False, False, False, False, True, True, True, True, False, 0, 0, False, False)
Part.SelectionManager.EnableContourSelection = False
Part.ClearSelection2 True
End Sub
 

PSWUG

Strefa Resellera

Publikuj

Społeczność

Ankieta

Linki

RSS

BOT